FreeMat

- Main Page
- Related Pages

vtkDataArrayCollection

Section: Visualization Toolkit Common Classes

# Usage

vtkDataArrayCollection is an object that creates and manipulates lists of datasets. See also vtkCollection and subclasses.

To create an instance of class vtkDataArrayCollection, simply invoke its constructor as follows

      obj = vtkDataArrayCollection

# Methods

The class vtkDataArrayCollection has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkDataArrayCollection class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkDataArrayCollection = obj.NewInstance ()`
- `vtkDataArrayCollection = obj.SafeDownCast (vtkObject o)`
- `obj.AddItem (vtkDataArray ds)` - Get the next dataarray in the list.
- `vtkDataArray = obj.GetNextItem ()` - Get the next dataarray in the list.
- `vtkDataArray = obj.GetItem (int i)` - Get the ith dataarray in the list.